#include <iostream>
#include<stdio.h>
#include<string.h>
#include<stdbool.h>
using namespace std;



int main()
{
int N,K,i,j=0,sum1,sum2,rez=0;
cin>>N>>K;
int z=N;
int jacina[N];
for(i=0;i<N;i++){
	cin>>jacina[i];
}
for(i=0;i<K-1;i++){
	while(jacina[j]==0){
		j++;
	}
	while(jacina[z]==0){
		z--;
	}
	sum1=jacina[j]-jacina[z];
	sum2=jacina[z]-jacina[j];
	if(sum1>sum2){
		jacina[j]=sum1;
		jacina[z]=0;
		rez=rez+sum1;
	}
	else{
		jacina[j]=0;
		jacina[z]=sum2;
		rez=rez+sum2;
	}
cout<<rez;
}
	return 0;
}